
Redmine - Patch #1799

Patch for #1794 (No file browsing in Darcs repos)

2008-08-18 17:24 - Ralph Lange

Status: Closed Start date: 2008-08-18

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: 0.8   

Description

I'm attaching a patch (against r1747) that fixes my #1794 defect issue.

app/models/repository/darcs.rb

Before calling the darcs scm adapter, darcs needs the revision number being translated to the scmid. This was working for the

entries(), diff() and fetch_changesets() methods. I added this for entry() and cat() in a similar fashion.

lib/redmine/scm/adapters/darcs_adapter.rb

Starting from version 2.0.0, darcs supports listing the contents of a file in the repository. I added the code to read the version

number and the cat() method (similar to what is there for subversion).

These were my first ruby lines - I hope I didn't screw up ... I'd be happy to see them upstream. Thanks for the great application!

Associated revisions

Revision 1759 - 2008-08-25 16:33 - Jean-Philippe Lang

Adds support for file viewing with Darcs 2.0+ (patch #1799 by Ralph Lange slightly edited).

History

#1 - 2008-08-25 16:30 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.8

Patch committed in r1759 with slight changes. Thanks for your contribution.
